Bug 135729 - Mute is not actually mutes sound, "Mute on" appears but sound still remains here.
Summary: Mute is not actually mutes sound, "Mute on" appears but sound still remains h...
Status: RESOLVED FIXED
Alias: None
Product: kmix
Classification: Unclassified
Component: general (show other bugs)
Version: 2.6
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Christian Esken
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-16 08:23 UTC by t3st3r
Modified: 2007-06-17 16:00 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description t3st3r 2006-10-16 08:23:55 UTC
Version:           2.6 (using KDE 3.5.2, Kubuntu Package 4:3.5.2-0ubuntu18.1 dapper)
Compiler:          Target: x86_64-linux-gnu
OS:                Linux (x86_64) release 2.6.15-27-amd64-generic

I'm running Kubuntu 6.06.1 "Dapper Drake" and have SB Audigy LS (lspci output: 0000:01:00.0 Multimedia audio controller: Creative Labs SB Audigy LS) as audio card.Sound volume control works fine but "mute" does not stops sound.As quick & dirty workaround, setting it's volume to 0% works fine but that's uncomfortable.At least maybe it is possible to do automatically as "mute"?
Comment 1 Bram Schoenmakers 2006-10-16 10:58:59 UTC
Are you able to mute it with alsamixer?
Comment 2 Stephen Baker 2006-11-28 00:00:43 UTC
This sounds like a problem with KMilo and KMix.  Are you using Master as the master channel, or something else like headphone or PCM.  KMilo respects this channel for volume control but not for mute for some strange reason which may warrent a bug.
Comment 3 Stephan Binner 2007-04-19 14:14:12 UTC
https://bugzilla.novell.com/show_bug.cgi?id=254164 seems to describe the same.
Comment 4 Christian Esken 2007-06-16 21:00:57 UTC
Last call to the bug reporter for providing the required feedback. If there is no feddback until July 17th 2007 this bug report will be closed.

Please post the ouput of "amixer" (or "amixer -c 1" or any other number that corresponds to the affected soundcard).

Please also report if other mixes work (e.g. alsamixer).

Comment 2 indicates a KMilo/Kmix issue. We need some extra information here:

1) Are only the multimedia keys affected?
2a) Is the shortcut for the Master affected? (Menu -> Settings -> Global Shortcuts)
2b) Is the shortcut for normal controls (e.g. PCM) affected? (KMix main menu -> PCM slider -> right click -> Global Shortcuts)
3) Is Kmilo running? (kcontrol -> KDE components -> Services -> Lower list "KDE sevices at start" -> KMilo
   if it is running:
    a) Stop it
    b) Disable it
    c) Logout from KDE
    d) Login again
    e) Try it and report back

Comment 5 Christian Esken 2007-06-17 15:58:27 UTC
Lets close it. It is easier to reopen (should the bug reporter answer), than to keep track of this all the time. Also this whole switch problem is fixed in KDE4.
Comment 6 Christian Esken 2007-06-17 16:00:44 UTC
SVN commit 676707 by esken:

Finalized optimal ALSA support. The last open issue (pswitch cswitch) is
now resolved.

BUGS: 123560
BUGS: 135729
BUGS: 126012
BUGS: 125772



 M  +30 -15    mdwslider.cpp  


--- trunk/KDE/kdemultimedia/kmix/mdwslider.cpp #676706:676707
@@ -234,22 +234,36 @@
 
 
 
-    // --- SLIDERS ---------------------------
-    QBoxLayout *volLayout;
-    if ( _orientation == Qt::Vertical ) {
-        volLayout = new QHBoxLayout( );
-        volLayout->setAlignment(Qt::AlignVCenter);
-    }
-    else {
-        volLayout = new QVBoxLayout(  );
-        volLayout->setAlignment(Qt::AlignHCenter);
-    }
-    sliLayout->addItem( volLayout );
+   // --- SLIDERS ---------------------------
+   QBoxLayout *volLayout;
+   if ( _orientation == Qt::Vertical ) {
+      volLayout = new QHBoxLayout( );
+      volLayout->setAlignment(Qt::AlignVCenter);
+   }
+   else {
+      volLayout = new QVBoxLayout(  );
+      volLayout->setAlignment(Qt::AlignHCenter);
+   }
+   sliLayout->addItem( volLayout );
 
-    if ( m_mixdevice->playbackVolume().count() > 0 )
-       addSliders( volLayout, 'p' );
-    if ( m_mixdevice->captureVolume().count() > 0 )
+   if ( m_mixdevice->playbackVolume().count() > 0 )
+      addSliders( volLayout, 'p' );
+   if ( m_mixdevice->captureVolume().count() > 0 )
        addSliders( volLayout, 'c' );
+   if ( m_mixdevice->playbackVolume().count() == 0 && m_mixdevice->captureVolume().count() == 0 )
+   {  // no siders => put a label with the name.
+      // But I won't add " (capture)" as on the sliders, because there is only one "column"
+      if ( _orientation == Qt::Vertical ) {
+         m_label = new VerticalText( this, m_mixdevice->readableName() );
+      }
+      else {
+         m_label = new QLabel(this);
+         static_cast<QLabel*>(m_label)->setText(m_mixdevice->readableName());
+      }
+      volLayout->addWidget( m_label );
+      m_label->installEventFilter( this );
+      m_label->setToolTip( m_mixdevice->readableName() );  // @todo: Whatsthis, explaining the device
+   }
 
    // --- RECORD SOURCE LED --------------------------
    if ( showRecordLED )
@@ -277,7 +291,8 @@
          reclayout->addWidget( m_recordLED );
          connect(m_recordLED, SIGNAL(stateChanged(bool)), this, SLOT(setRecsrc(bool)));
          m_recordLED->installEventFilter( this );
-         m_recordLED->setToolTip( i18n( "Record" ) );
+         QString muteTip( i18n( "Capture/Uncapture %1", m_mixdevice->readableName() ) );
+         m_recordLED->setToolTip( muteTip );  // @todo: Whatsthis, explaining the device
       } // has Record LED
       else
       {